
From: Richard Purdie <rpurdie@rpsys.net>

Add partition definitions for the new Sharp Zaurus models Spitz (SL-C3000),
Akita (SL-C1000) and Borzoi (SL-C3100)

Signed-off-by: Richard Purdie <rpurdie@rpsys.net>
Signed-off-by: David Woodhouse <dwmw2@infradead.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/mtd/maps/sharpsl-flash.c |    2 +-
 drivers/mtd/nand/sharpsl.c       |   10 ++++++++--
 2 files changed, 9 insertions(+), 3 deletions(-)

diff -puN drivers/mtd/maps/sharpsl-flash.c~mtd-update-sharpsl-partition-definitions drivers/mtd/maps/sharpsl-flash.c
--- devel/drivers/mtd/maps/sharpsl-flash.c~mtd-update-sharpsl-partition-definitions	2005-09-14 22:00:12.000000000 -0700
+++ devel-akpm/drivers/mtd/maps/sharpsl-flash.c	2005-09-14 22:00:12.000000000 -0700
@@ -82,7 +82,7 @@ int __init init_sharpsl(void)
 	} else if (machine_is_tosa()) {
 		sharpsl_partitions[0].size=0x006a0000;
 		sharpsl_partitions[0].offset=0x00160000;
-	} else if (machine_is_spitz()) {
+	} else if (machine_is_spitz() || machine_is_akita() || machine_is_borzoi()) {
 		sharpsl_partitions[0].size=0x006b0000;
 		sharpsl_partitions[0].offset=0x00140000;
 	} else {
diff -puN drivers/mtd/nand/sharpsl.c~mtd-update-sharpsl-partition-definitions drivers/mtd/nand/sharpsl.c
--- devel/drivers/mtd/nand/sharpsl.c~mtd-update-sharpsl-partition-definitions	2005-09-14 22:00:12.000000000 -0700
+++ devel-akpm/drivers/mtd/nand/sharpsl.c	2005-09-14 22:00:12.000000000 -0700
@@ -221,10 +221,16 @@ sharpsl_nand_init(void)
 			sharpsl_partition_info[1].size=25 * 1024 * 1024;
 		} else if (machine_is_husky()) {
 			sharpsl_partition_info[1].size=53 * 1024 * 1024;
-		} 		
+		} else if (machine_is_spitz()) {
+			sharpsl_partition_info[1].size=5 * 1024 * 1024;
+		} else if (machine_is_akita()) {
+			sharpsl_partition_info[1].size=58 * 1024 * 1024;
+		} else if (machine_is_borzoi()) {
+			sharpsl_partition_info[1].size=32 * 1024 * 1024;
+		}
 	}
 
-	if (machine_is_husky()) {
+	if (machine_is_husky() || machine_is_borzoi()) {
 		/* Need to use small eraseblock size for backward compatibility */
 		sharpsl_mtd->flags |= MTD_NO_VIRTBLOCKS;
 	}
_
